## org.eclipse.emf.compare.match.engine
Class MatchScopeProviderUtil

    java.lang.Object
      org.eclipse.emf.compare.match.engine.MatchScopeProviderUtil

    public final class MatchScopeProviderUtil

extends java.lang.Object

Utility class to support work with `IMatchScope`s.

Since:
  1.1

Method Summary
`static IMatchScopeProvider` `getScopeProvider(java.util.Map<java.lang.String,java.lang.Object> options, org.eclipse.emf.ecore.EObject... eObjects)` Used to obtain the `IMatchScopeProvider` to be used for matching.
`static IMatchScopeProvider` `getScopeProvider(java.util.Map<java.lang.String,java.lang.Object> options, org.eclipse.emf.ecore.resource.Resource... resources)` Used to obtain the `IMatchScopeProvider` to be used for matching.
`static IMatchScopeProvider` `getScopeProvider(java.util.Map<java.lang.String,java.lang.Object> options, org.eclipse.emf.ecore.resource.ResourceSet... resourceSets)` Used to obtain the `IMatchScopeProvider` to be used for matching.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getScopeProvider

    public static IMatchScopeProvider getScopeProvider(java.util.Map<java.lang.String,java.lang.Object> options,
                                                       org.eclipse.emf.ecore.resource.ResourceSet... resourceSets)

  Used to obtain the `IMatchScopeProvider` to be used for matching. If one is specified within the provided options via `MatchOptions.OPTION_MATCH_SCOPE_PROVIDER`, this one is used, otherwise a new `GenericMatchScopeProvider` will be instantiated and returned.

  Parameters:
    `options` - the options to search for any preset `IMatchScopeProvider`.
    `resourceSets` - the list of resources sets to be used for constructing a new `GenericMatchScopeProvider`, in case none is specified via the options. Has to be either of size 2 (left and right) or 3 (left, right, and ancestor).
  Returns:
    the `IMatchScopeProvider` specified via the given options or a new `GenericMatchScopeProvider` instance if none is specified in the options.

### getScopeProvider

    public static IMatchScopeProvider getScopeProvider(java.util.Map<java.lang.String,java.lang.Object> options,
                                                       org.eclipse.emf.ecore.resource.Resource... resources)

  Used to obtain the `IMatchScopeProvider` to be used for matching. If one is specified within the provided options via `MatchOptions.OPTION_MATCH_SCOPE_PROVIDER`, this one is used, otherwise a new `GenericMatchScopeProvider` will be instantiated and returned.

  Parameters:
    `options` - the options to search for any preset `IMatchScopeProvider`.
    `resources` - the list of resources to be used for constructing a new `GenericMatchScopeProvider`, in case none is specified via the options. Has to be either of size 2 (left and right) or 3 (left, right, and ancestor).
  Returns:
    the `IMatchScopeProvider` specified via the given options or a new `GenericMatchScopeProvider` instance if none is specified in the options.

### getScopeProvider

    public static IMatchScopeProvider getScopeProvider(java.util.Map<java.lang.String,java.lang.Object> options,
                                                       org.eclipse.emf.ecore.EObject... eObjects)

  Used to obtain the `IMatchScopeProvider` to be used for matching. If one is specified within the provided options via `MatchOptions.OPTION_MATCH_SCOPE_PROVIDER`, this one is used, otherwise a new `GenericMatchScopeProvider` will be instantiated and returned.

  Parameters:
    `options` - the options to search for any preset `IMatchScopeProvider`.
    `eObjects` - the list of objects to be used for constructing a new `GenericMatchScopeProvider`, in case none is specified via the options. Has to be either of size 2 (left and right) or 3 (left, right, and ancestor).
  Returns:
    the `IMatchScopeProvider` specified via the given options or a new `GenericMatchScopeProvider` instance if none is specified in the options.

Copyright 2006 IBM Corporation and others. All Rights Reserved.